# Download and verify that the FDroid.apk is signed by the right PGP
# key.  The gpg key model is to trust only the key that is included in
# this script, so there is a test to check that it is starting with an
# empty keyring.

check_fdroid_apk:
  image: alpine:3.5
  variables:
    apk: FDroid.apk
    asc: FDroid.apk.asc
    curl: "curl --silent --user-agent F-Droid"
    fingerprint: 37D2C98789D8311948394E3E41E7044E1DBA2E89
  script:
    - apk add --no-cache gnupg curl
    - ! (gpg --list-keys | grep pub)
    - gpg --keyserver pgp.mit.edu --recv-key $fingerprint
    - gpg --list-key --fingerprint | tr -d '[:space:]' | grep $fingerprint
    - echo "${fingerprint}:6:" | gpg --import-ownertrust
    - $curl https://f-droid.org/$apk > $apk
    - $curl https://f-droid.org/$asc > $asc
    - sha256sum $apk
    - gpg --batch --trust-model always --verify $asc $apk
